 

export default {
    argTypes: {
        slotDefault: {control: 'text'},
    },
    tags: ['autodocs'],
    title: 'Composed Components/Forms/Label',
}

const Template = ({slotDefault}) => {
    const template = document.createElement('c-label')

    if (slotDefault) {
        const slotContent = document.createElement('span')
        slotContent.textContent = slotDefault
        template.appendChild(slotContent)
    }

    return template
}

export const Label = Template.bind({})
Label.args = {
    slotDefault: 'I\'m a label without any form element.',
}
