 

export default {
    argTypes: {
        slotDefault: {control: 'text'},
    },
    tags: ['autodocs'],
    title: 'Composed Components/Tables/Elements/Tr',
}

const Template = ({slotDefault}) => {
    const template = document.createElement('c-tr')

    if (slotDefault) {
        const range = document.createRange()
        const fragment = range.createContextualFragment(slotDefault)
        template.appendChild(fragment)
    }

    return template
}

export const Tr = Template.bind({})
Tr.args = {
    slotDefault: '<c-td>First Cell</c-td><c-td>Second Cell</c-td>',
}
