 

export default {
    argTypes: {
        data: {control: 'object'},
    },
    tags: ['autodocs'],
    title: 'Simple/Progressbar',
}

const Template = ({data}) => {
    const template = document.createElement('c-progress-bar')

    if (data)
        template.setAttribute('data-data', JSON.stringify(data))

    return template
}

export const Progressbar = Template.bind({})
Progressbar.args = {
    data: {
        items: [
            {
                new: 3,
                status: 'error',
                value: 5,
            },
            {
                status: 'pending',
                value: 0,
            },
            {
                status: 'progress',
                value: 5,
            },
            {
                status: 'approved',
                value: 1,
            },
            {
                status: 'finished',
                value: 10,
            },
        ],
    },
}

 
