 

export default {
    argTypes: {
        slotDefault: {control: 'text'},
    },
    tags: ['autodocs'],
    title: 'Composed Components/Tables/Elements/Td',
}

const Template = ({slotDefault}) => {
    const template = document.createElement('c-td')

    if (slotDefault) {
        const range = document.createRange()
        const fragment = range.createContextualFragment(slotDefault)
        template.appendChild(fragment)
    }

    return template
}

export const Td = Template.bind({})
Td.args = {
    slotDefault: 'The Cell Content',
}

 
