 

export default {
    argTypes: {
        slotDefault: {control: 'text'},
    },
    tags: ['autodocs'],
    title: 'Composed Components/Tables/Elements/Th',
}

const Template = ({slotDefault}) => {
    const template = document.createElement('c-th')

    if (slotDefault) {
        const range = document.createRange()
        const fragment = range.createContextualFragment(slotDefault)
        template.appendChild(fragment)
    }

    return template
}

export const Th = Template.bind({})
Th.args = {
    slotDefault: 'The Heading Content',
}
 
