 

export default {
    argTypes: {
        slotDefault: {control: 'text'},
    },
    tags: ['autodocs'],
    title: 'Composed Components/Tables/Elements/Thead',
}

const Template = ({slotDefault}) => {
    const template = document.createElement('c-thead')

    if (slotDefault) {
        const range = document.createRange()
        const fragment = range.createContextualFragment(slotDefault)
        template.appendChild(fragment)
    }

    return template
}

export const Thead = Template.bind({})
Thead.args = {
    slotDefault: '<c-th>First Cell</c-th><c-th>Second Cell</c-th>',
}
