 
export default {
    argTypes: {
        swatches: {
            control: 'boolean',
        },
    },
    args: {
        swatches: 1,
    },
    parameters: {
        docs: {
            description: {
                component: '<div class="storybook-theme-wrapper">' +
                    '<c-button>A demo button reacting' +
                    ' on the theme settings</c-button></div>',
            },
        },
    },
    tags: ['autodocs'],
    title: 'Simple/Switcher/Theme Switcher',
}

const Template = ({swatches}) => {
    const template = document.createElement('theme-switcher')

    if (swatches) 
        template.setAttribute('type', 'swatches')

    return template
}

export const ThemeSwitcher = Template.bind({})